GDBserver

Public Attributes | List of all members
linux_ns Struct Reference

## Public Attributes
const char * | filename
int | initialized
int | supported
ino_t | id

## Detailed Description

Definition at line 71 of file linux-namespaces.c.

## Member Data Documentation

## ◆ filename

const char* linux_ns::filename

Definition at line 74 of file linux-namespaces.c.

Referenced by linux_ns_filename(), and linux_ns_same().

## ◆ id

ino_t linux_ns::id

Definition at line 86 of file linux-namespaces.c.

Referenced by linux_mntns_access_fs(), linux_mntns_get_helper(), linux_ns_get_namespace(), and linux_ns_same().

## ◆ initialized

int linux_ns::initialized

Definition at line 77 of file linux-namespaces.c.

Referenced by linux_ns_get_namespace().

## ◆ supported

int linux_ns::supported

Definition at line 80 of file linux-namespaces.c.

Referenced by linux_ns_get_namespace().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/nat/linux-namespaces.c